Reports
Summary
GET
/
api
/
v1
/
reports
/
{id}
/
summary
/
Summary
curl --request GET \
--url https://api.main.apexscore.ai/api/v1/reports/{id}/summary/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.main.apexscore.ai/api/v1/reports/{id}/summary/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.main.apexscore.ai/api/v1/reports/{id}/summary/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"mona_version": {
"id": 123,
"name": "<string>",
"audience": "<string>",
"sequence": -1,
"audience_type": 1
},
"comments": "<string>",
"dataset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"configurations": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comments": "<string>",
"content_pages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>"
},
"icon": "<string>"
}
],
"filters": [
{
"filterable": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"value": "<unknown>",
"operator": "<string>"
}
],
"result": {
"state": {
"status_message": "<string>",
"observations_data_pending": "<string>",
"text_analysis_data_pending": "<string>"
},
"apex_score": 0,
"potential_apex_score": 0,
"value_boxes": [
{
"name": "<string>",
"value": "<string>",
"icon": "<string>",
"impact_description": "<string>",
"description": "<string>"
}
],
"rank": {
"id": 123,
"name": "<string>",
"description": "<string>",
"minimum_differential": -1,
"audience_type": 123,
"mona_version": 123
},
"opportunity_driver_categories": {},
"fba": {},
"ppp": {},
"analyses": {},
"benchmark": {},
"misc": {},
"attitudes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attitude_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"keyword": "<string>",
"description": "<string>",
"explanation": "<string>",
"seol": "<string>",
"performance_rebased": 0,
"importance_rebased": 0,
"performance_agreed": 0,
"importance_agreed": 0,
"fulfillment_balance": 0,
"fulfillment_ratio": 0,
"content_icon_url": "<string>",
"comments": {
"count": 123,
"commenters": [
{
"full_name": "<string>"
}
]
},
"content_recommendations": [
{
"header": "<string>",
"subtext": "<string>",
"example": "<string>",
"why": "<string>"
}
],
"content_studies": [
{
"title": "<string>",
"link": "<string>"
}
],
"performance_order": -1,
"importance_order": -1
}
],
"population_size": -1
},
"filterables": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"name": "<string>",
"is_primary": true,
"copied_from": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"industry_configuration": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"issued_at": "2023-11-07T05:31:56Z",
"meta": null
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A UUID string identifying this report.
Query Parameters
Optionally provide a specific configuration id to query
Response
200 - application/json
Maximum string length:
255Show child attributes
Show child attributes
Show child attributes
Show child attributes
competitive- Competitivesegment- Segmentindustry- Industry
Available options:
competitive, segment, industry ⌘I
Summary
